# HG changeset patch
# Node ID a857e3d6e479
# Parent  648a1b5dd96a
diff --git a/libpurple/request-datasheet.h b/libpurple/request-datasheet.h
--- a/libpurple/request-datasheet.h
+++ b/libpurple/request-datasheet.h
@@ -97,7 +97,7 @@
  *
  * You cannot add a column if datasheet contains any data.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -112,7 +112,7 @@
  *
  * Returns: The column count.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 guint
@@ -127,7 +127,7 @@
  *
  * Returns: The column type.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestDatasheetColumnType
@@ -143,7 +143,7 @@
  *
  * Returns: The column title.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *
@@ -160,7 +160,7 @@
  *
  * Returns: (element-type PurpleRequestDatasheetRecord) (transfer none): The list of records.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const GList *
@@ -175,7 +175,7 @@
  *
  * Action object is owned by the datasheet since this call.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -190,7 +190,7 @@
  *
  * Returns: (element-type PurpleRequestDatasheetAction) (transfer none): The list of actions.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const GList *
@@ -208,7 +208,7 @@
  *
  * Returns: (transfer full): The new action.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestDatasheetAction *
@@ -220,7 +220,7 @@
  *
  * Destroys the datasheet action.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -233,7 +233,7 @@
  *
  * Sets the localized label for the action.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -248,7 +248,7 @@
  *
  * Returns: The localized label text.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar*
@@ -262,7 +262,7 @@
  *
  * Sets the callback for the action.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -276,7 +276,7 @@
  *
  * Calls the callback of the action.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -294,7 +294,7 @@
  * If there is no callback set, default is used: the action is enabled, if any
  * record is active.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -311,7 +311,7 @@
  *
  * Returns: %TRUE, if the action is enabled, %FALSE otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean
@@ -331,7 +331,7 @@
  *
  * Returns: The key.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gpointer
@@ -346,7 +346,7 @@
  *
  * Returns: (transfer none): The datasheet.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestDatasheet *
@@ -362,7 +362,7 @@
  *
  * Returns: (transfer none): The record if found, %NULL otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestDatasheetRecord *
@@ -380,7 +380,7 @@
  *
  * Returns: (transfer full): The record.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestDatasheetRecord *
@@ -394,7 +394,7 @@
  *
  * Removes a record from a datasheet.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -407,7 +407,7 @@
  *
  * Removes all records from a datasheet.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -422,7 +422,7 @@
  *
  * See purple_request_datasheet_record_add().
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -436,7 +436,7 @@
  *
  * See purple_request_datasheet_record_mark_all_for_rem().
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -450,7 +450,7 @@
  *
  * Sets data for a string column of specified record.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -465,7 +465,7 @@
  *
  * Sets data for a image column of specified record.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -481,7 +481,7 @@
  *
  * Returns: The data.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *
@@ -497,7 +497,7 @@
  *
  * Returns: The stock id of an image.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *
diff --git a/libpurple/request.h b/libpurple/request.h
--- a/libpurple/request.h
+++ b/libpurple/request.h
@@ -229,7 +229,7 @@
  *
  * Returns: (transfer full): The new parameters set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestCommonParameters *
@@ -243,7 +243,7 @@
  *
  * Returns: (transfer full): The new parameters set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestCommonParameters *
@@ -257,7 +257,7 @@
  *
  * Returns: (transfer full): The new parameters set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestCommonParameters *
@@ -271,7 +271,7 @@
  *
  * Returns: (transfer full): The new parameters set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestCommonParameters *
@@ -283,7 +283,7 @@
  *
  * Increases the reference count on the parameters set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -297,7 +297,7 @@
  *
  * The object will be destroyed when this reaches 0.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -310,7 +310,7 @@
  *
  * Sets the #PurpleAccount associated with the request, or %NULL, if none is.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -326,7 +326,7 @@
  * Returns: (transfer none): The associated #PurpleAccount, or %NULL if none is
  *          set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAccount *
@@ -340,7 +340,7 @@
  * Sets the #PurpleConversation associated with the request, or %NULL, if
  * none is.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -356,7 +356,7 @@
  * Returns: (transfer none): The associated #PurpleConversation, or %NULL if
  *          none is set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleConversation *
@@ -369,7 +369,7 @@
  *
  * Sets the icon associated with the request.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -384,7 +384,7 @@
  *
  * Returns: icon_type The icon type.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestIconType
@@ -398,7 +398,7 @@
  *
  * Sets the custom icon associated with the request.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -415,7 +415,7 @@
  *
  * Returns: The icon image contents.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gconstpointer
@@ -431,7 +431,7 @@
  *
  * Switches the request text to be HTML or not.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -446,7 +446,7 @@
  *
  * Returns: %TRUE, if the text is HTML, %FALSE otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean
@@ -459,7 +459,7 @@
  *
  * Sets dialog display mode to compact or default.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -474,7 +474,7 @@
  *
  * Returns: TRUE for compact, FALSE for default.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean
@@ -488,7 +488,7 @@
  *
  * Sets the callback for the Help button.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -505,7 +505,7 @@
  *
  * Returns: (transfer none): The callback.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestHelpCb
@@ -524,7 +524,7 @@
  *
  * Sets extra actions for the PurpleRequestPage dialog.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -539,7 +539,7 @@
  * Returns: (element-type PurpleKeyValuePair) (transfer none): A list of actions (pairs of arguments, as in
  *          setter).
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GSList *
@@ -553,7 +553,7 @@
  * Sets the same parent window for this dialog, as the parent of specified
  * Notify API or Request API dialog UI handle.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -568,7 +568,7 @@
  *
  * Returns: The donors UI handle.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gpointer
@@ -804,7 +804,7 @@
  *
  * Returns: A UI-specific handle.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void *
@@ -820,7 +820,7 @@
  * Notifies the "please wait" dialog that some progress has been made, but you
  * don't know how much.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -834,7 +834,7 @@
  *
  * Notifies the "please wait" dialog about progress has been made.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -887,7 +887,7 @@
  *
  * Returns: TRUE, if handle is valid, FALSE otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean
@@ -901,7 +901,7 @@
  *
  * Adds a function called when notification dialog is closed.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void
@@ -1073,7 +1073,7 @@
  *
  * Returns: The #GType for the #PurpleRequestUiOps boxed structure.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GType purple_request_ui_ops_get_type(void);
diff --git a/libpurple/request/purplerequestfield.h b/libpurple/request/purplerequestfield.h
--- a/libpurple/request/purplerequestfield.h
+++ b/libpurple/request/purplerequestfield.h
@@ -35,7 +35,7 @@
  *
  * A request field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 typedef struct _PurpleRequestField PurpleRequestField;
 
@@ -47,7 +47,7 @@
  *
  * #PurpleRequestFieldClass defines the interface for a request field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 struct _PurpleRequestFieldClass {
 	/*< private >*/
@@ -125,7 +125,7 @@
  * This is optionally used by the UIs to provide a tooltip for
  * the field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_request_field_set_tooltip(PurpleRequestField *field, const char *tooltip);
@@ -148,7 +148,7 @@
  *
  * Returns: (transfer none): The UI data.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 PurpleRequestGroup *purple_request_field_get_group(PurpleRequestField *field);
@@ -205,7 +205,7 @@
  *
  * Returns: The field's tooltip.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const char *purple_request_field_get_tooltip(PurpleRequestField *field);
@@ -233,7 +233,7 @@
  *
  * Returns: TRUE if the field has value, or FALSE.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_request_field_is_filled(PurpleRequestField *field);
@@ -248,7 +248,7 @@
  *
  * Set an additional validator for a field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_request_field_set_validator(PurpleRequestField *field, PurpleRequestFieldValidator validator, gpointer user_data, GDestroyNotify destroy_data);
@@ -269,7 +269,7 @@
  *
  * Returns: TRUE, if the field is valid, FALSE otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_request_field_is_valid(PurpleRequestField *field, gchar **errmsg);
@@ -281,7 +281,7 @@
  *
  * Sets field editable.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_request_field_set_sensitive(PurpleRequestField *field, gboolean sensitive);
@@ -294,7 +294,7 @@
  *
  * Returns: TRUE, if the field is sensitive for user input.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_request_field_is_sensitive(PurpleRequestField *field);
diff --git a/libpurple/request/purplerequestfield.c b/libpurple/request/purplerequestfield.c
--- a/libpurple/request/purplerequestfield.c
+++ b/libpurple/request/purplerequestfield.c
@@ -197,7 +197,7 @@
 	 *
 	 * The ID of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_ID] = g_param_spec_string(
 		"id", "id",
@@ -210,7 +210,7 @@
 	 *
 	 * The label of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_LABEL] = g_param_spec_string(
 		"label", "label",
@@ -223,7 +223,7 @@
 	 *
 	 * Whether the field should be visible.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_VISIBLE] = g_param_spec_boolean(
 		"visible", "visible",
@@ -236,7 +236,7 @@
 	 *
 	 * Whether the field should be sensitive.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_SENSITIVE] = g_param_spec_boolean(
 		"sensitive", "sensitive",
@@ -249,7 +249,7 @@
 	 *
 	 * The type hint of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_TYPE_HINT] = g_param_spec_string(
 		"type-hint", "type-hint",
@@ -262,7 +262,7 @@
 	 *
 	 * The tooltip of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_TOOLTIP] = g_param_spec_string(
 		"tooltip", "tooltip",
@@ -275,7 +275,7 @@
 	 *
 	 * Whether the field is required to complete the request.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_REQUIRED] = g_param_spec_boolean(
 		"required", "required",
@@ -288,7 +288,7 @@
 	 *
 	 * Whether the field has been filled.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_FILLED] = g_param_spec_boolean(
 		"filled", "filled",
@@ -301,7 +301,7 @@
 	 *
 	 * Whether the field has a valid value.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_VALID] = g_param_spec_boolean(
 		"valid", "valid",
diff --git a/libpurple/request/purplerequestfieldaccount.h b/libpurple/request/purplerequestfieldaccount.h
--- a/libpurple/request/purplerequestfieldaccount.h
+++ b/libpurple/request/purplerequestfieldaccount.h
@@ -46,7 +46,7 @@
  *
  * Returns: %TRUE to keep the account.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_TYPE_IN_3_0
 typedef gboolean (*PurpleRequestFieldAccountFilterFunc)(PurpleAccount *account, gpointer user_data);
@@ -58,7 +58,7 @@
  *
  * An account request field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 #define PURPLE_TYPE_REQUEST_FIELD_ACCOUNT (purple_request_field_account_get_type())
 
@@ -175,7 +175,7 @@
  *
  * Returns: Whether or not to show the account.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_request_field_account_match(PurpleRequestFieldAccount *field, PurpleAccount *account);
diff --git a/libpurple/request/purplerequestfieldaccount.c b/libpurple/request/purplerequestfieldaccount.c
--- a/libpurple/request/purplerequestfieldaccount.c
+++ b/libpurple/request/purplerequestfieldaccount.c
@@ -131,7 +131,7 @@
 	 *
 	 * The default value of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_DEFAULT_VALUE] = g_param_spec_object(
 		"default-value", "default-value",
@@ -144,7 +144,7 @@
 	 *
 	 * The value of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_VALUE] = g_param_spec_object(
 		"value", "value",
@@ -160,7 +160,7 @@
 	 * If %TRUE, all accounts, online or offline, will be shown. If %FALSE,
 	 * only online accounts will be shown.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_SHOW_ALL] = g_param_spec_boolean(
 		"show-all", "show-all",
diff --git a/libpurple/request/purplerequestfieldbool.h b/libpurple/request/purplerequestfieldbool.h
--- a/libpurple/request/purplerequestfieldbool.h
+++ b/libpurple/request/purplerequestfieldbool.h
@@ -40,7 +40,7 @@
  *
  * A boolean request field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 #define PURPLE_TYPE_REQUEST_FIELD_BOOL (purple_request_field_bool_get_type())
 
diff --git a/libpurple/request/purplerequestfieldbool.c b/libpurple/request/purplerequestfieldbool.c
--- a/libpurple/request/purplerequestfieldbool.c
+++ b/libpurple/request/purplerequestfieldbool.c
@@ -104,7 +104,7 @@
 	 *
 	 * The default value of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_DEFAULT_VALUE] = g_param_spec_boolean(
 		"default-value", "default-value",
@@ -117,7 +117,7 @@
 	 *
 	 * The value of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_VALUE] = g_param_spec_boolean(
 		"value", "value",
diff --git a/libpurple/request/purplerequestfieldchoice.h b/libpurple/request/purplerequestfieldchoice.h
--- a/libpurple/request/purplerequestfieldchoice.h
+++ b/libpurple/request/purplerequestfieldchoice.h
@@ -40,7 +40,7 @@
  *
  * A choice request field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 #define PURPLE_TYPE_REQUEST_FIELD_CHOICE (purple_request_field_choice_get_type())
 
@@ -83,7 +83,7 @@
  *
  * Adds a choice to a multiple choice field with destructor for value.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_request_field_choice_add_full(PurpleRequestFieldChoice *field, const char *label, gpointer data, GDestroyNotify destroy);
@@ -138,7 +138,7 @@
  *
  * Returns: (element-type PurpleKeyValuePair) (transfer none): The list of pairs of {label, value}.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GList *purple_request_field_choice_get_elements(PurpleRequestFieldChoice *field);
diff --git a/libpurple/request/purplerequestfieldchoice.c b/libpurple/request/purplerequestfieldchoice.c
--- a/libpurple/request/purplerequestfieldchoice.c
+++ b/libpurple/request/purplerequestfieldchoice.c
@@ -118,7 +118,7 @@
 	 *
 	 * The default value of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_DEFAULT_VALUE] = g_param_spec_pointer(
 		"default-value", "default-value",
@@ -130,7 +130,7 @@
 	 *
 	 * The value of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_VALUE] = g_param_spec_pointer(
 		"value", "value",
diff --git a/libpurple/request/purplerequestfielddatasheet.h b/libpurple/request/purplerequestfielddatasheet.h
--- a/libpurple/request/purplerequestfielddatasheet.h
+++ b/libpurple/request/purplerequestfielddatasheet.h
@@ -41,7 +41,7 @@
  *
  * A datasheet request field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 #define PURPLE_TYPE_REQUEST_FIELD_DATASHEET (purple_request_field_datasheet_get_type())
 
@@ -59,7 +59,7 @@
  *
  * Returns: (transfer full): The new field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestField *purple_request_field_datasheet_new(const char *id, const gchar *text, PurpleRequestDatasheet *sheet);
@@ -72,7 +72,7 @@
  *
  * Returns: (transfer none): The datasheet object.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestDatasheet *purple_request_field_datasheet_get_sheet(PurpleRequestFieldDatasheet *field);
diff --git a/libpurple/request/purplerequestfielddatasheet.c b/libpurple/request/purplerequestfielddatasheet.c
--- a/libpurple/request/purplerequestfielddatasheet.c
+++ b/libpurple/request/purplerequestfielddatasheet.c
@@ -119,7 +119,7 @@
 	 *
 	 * The datasheet of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_SHEET] = g_param_spec_pointer(
 		"sheet", "sheet",
diff --git a/libpurple/request/purplerequestfieldimage.h b/libpurple/request/purplerequestfieldimage.h
--- a/libpurple/request/purplerequestfieldimage.h
+++ b/libpurple/request/purplerequestfieldimage.h
@@ -37,7 +37,7 @@
  *
  * An image request field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 typedef struct _PurpleRequestFieldImage PurpleRequestFieldImage;
 
diff --git a/libpurple/request/purplerequestfieldimage.c b/libpurple/request/purplerequestfieldimage.c
--- a/libpurple/request/purplerequestfieldimage.c
+++ b/libpurple/request/purplerequestfieldimage.c
@@ -129,7 +129,7 @@
 	 *
 	 * The X scale coefficient of the image.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_SCALE_X] = g_param_spec_uint(
 		"scale-x", "scale-x",
@@ -142,7 +142,7 @@
 	 *
 	 * The Y scale coefficient of the image.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_SCALE_Y] = g_param_spec_uint(
 		"scale-y", "scale-y",
@@ -155,7 +155,7 @@
 	 *
 	 * The contents of the image.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_BUFFER] = g_param_spec_pointer(
 		"buffer", "buffer",
@@ -167,7 +167,7 @@
 	 *
 	 * The size in bytes of the image.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_SIZE] = g_param_spec_uint64(
 		"size", "size",
diff --git a/libpurple/request/purplerequestfieldint.h b/libpurple/request/purplerequestfieldint.h
--- a/libpurple/request/purplerequestfieldint.h
+++ b/libpurple/request/purplerequestfieldint.h
@@ -40,7 +40,7 @@
  *
  * An integer request field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 #define PURPLE_TYPE_REQUEST_FIELD_INT (purple_request_field_int_get_type())
 
@@ -80,7 +80,7 @@
  *
  * Sets the lower bound in an integer field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_request_field_int_set_lower_bound(PurpleRequestFieldInt *field, int lower_bound);
@@ -92,7 +92,7 @@
  *
  * Sets the upper bound in an integer field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_request_field_int_set_upper_bound(PurpleRequestFieldInt *field, int upper_bound);
@@ -126,7 +126,7 @@
  *
  * Returns: The lower bound.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 int purple_request_field_int_get_lower_bound(PurpleRequestFieldInt *field);
@@ -139,7 +139,7 @@
  *
  * Returns: The upper bound.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 int purple_request_field_int_get_upper_bound(PurpleRequestFieldInt *field);
diff --git a/libpurple/request/purplerequestfieldint.c b/libpurple/request/purplerequestfieldint.c
--- a/libpurple/request/purplerequestfieldint.c
+++ b/libpurple/request/purplerequestfieldint.c
@@ -151,7 +151,7 @@
 	 *
 	 * The default value of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_DEFAULT_VALUE] = g_param_spec_int(
 		"default-value", "default-value",
@@ -164,7 +164,7 @@
 	 *
 	 * The value of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_VALUE] = g_param_spec_int(
 		"value", "value",
@@ -177,7 +177,7 @@
 	 *
 	 * The lower bound of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_LOWER_BOUND] = g_param_spec_int(
 		"lower-bound", "lower-bound",
@@ -190,7 +190,7 @@
 	 *
 	 * The upper bound of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_UPPER_BOUND] = g_param_spec_int(
 		"upper-bound", "upper-bound",
diff --git a/libpurple/request/purplerequestfieldlabel.h b/libpurple/request/purplerequestfieldlabel.h
--- a/libpurple/request/purplerequestfieldlabel.h
+++ b/libpurple/request/purplerequestfieldlabel.h
@@ -40,7 +40,7 @@
  *
  * A label request field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 #define PURPLE_TYPE_REQUEST_FIELD_LABEL (purple_request_field_label_get_type())
 
diff --git a/libpurple/request/purplerequestfieldlist.h b/libpurple/request/purplerequestfieldlist.h
--- a/libpurple/request/purplerequestfieldlist.h
+++ b/libpurple/request/purplerequestfieldlist.h
@@ -40,7 +40,7 @@
  *
  * A list request field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 #define PURPLE_TYPE_REQUEST_FIELD_LIST (purple_request_field_list_get_type())
 
@@ -180,7 +180,7 @@
  *
  * Returns: TRUE if list field has icons, FALSE otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_request_field_list_has_icons(PurpleRequestFieldList *field);
diff --git a/libpurple/request/purplerequestfieldlist.c b/libpurple/request/purplerequestfieldlist.c
--- a/libpurple/request/purplerequestfieldlist.c
+++ b/libpurple/request/purplerequestfieldlist.c
@@ -119,7 +119,7 @@
 	 *
 	 * Whether the field should allow multiple selections.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_MULTI_SELECT] = g_param_spec_boolean(
 		"multi-select", "multi-select",
diff --git a/libpurple/request/purplerequestfieldstring.h b/libpurple/request/purplerequestfieldstring.h
--- a/libpurple/request/purplerequestfieldstring.h
+++ b/libpurple/request/purplerequestfieldstring.h
@@ -40,7 +40,7 @@
  *
  * A string request field.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 #define PURPLE_TYPE_REQUEST_FIELD_STRING (purple_request_field_string_get_type())
 
@@ -149,7 +149,7 @@
  *
  * Returns: TRUE, if field contains valid email address.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_request_field_email_validator(PurpleRequestField *field, char **errmsg, gpointer user_data);
@@ -167,7 +167,7 @@
  *
  * Returns: TRUE, if field contains only alphanumeric characters.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_request_field_alphanumeric_validator(PurpleRequestField *field, char **errmsg, gpointer allowed_characters);
diff --git a/libpurple/request/purplerequestfieldstring.c b/libpurple/request/purplerequestfieldstring.c
--- a/libpurple/request/purplerequestfieldstring.c
+++ b/libpurple/request/purplerequestfieldstring.c
@@ -162,7 +162,7 @@
 	 *
 	 * Whether the field should allow multiline input.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_MULTILINE] = g_param_spec_boolean(
 		"multiline", "multiline",
@@ -175,7 +175,7 @@
 	 *
 	 * Whether the field should be masked.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_MASKED] = g_param_spec_boolean(
 		"masked", "masked",
@@ -188,7 +188,7 @@
 	 *
 	 * The default value of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_DEFAULT_VALUE] = g_param_spec_string(
 		"default-value", "default-value",
@@ -201,7 +201,7 @@
 	 *
 	 * The value of the field.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_VALUE] = g_param_spec_string(
 		"value", "value",
diff --git a/libpurple/request/purplerequestgroup.h b/libpurple/request/purplerequestgroup.h
--- a/libpurple/request/purplerequestgroup.h
+++ b/libpurple/request/purplerequestgroup.h
@@ -35,7 +35,7 @@
  *
  * A group of fields with a title.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 typedef struct _PurpleRequestGroup PurpleRequestGroup;
 
@@ -59,7 +59,7 @@
  *
  * Returns: (transfer full): A new fields group
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestGroup *purple_request_group_new(const char *title);
@@ -71,7 +71,7 @@
  *
  * Adds a field to the group.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_request_group_add_field(PurpleRequestGroup *group, PurpleRequestField *field);
@@ -84,7 +84,7 @@
  *
  * Returns: (nullable): The title, if set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const char *purple_request_group_get_title(PurpleRequestGroup *group);
@@ -97,7 +97,7 @@
  *
  * Returns: (transfer none): The list of fields in the group.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestPage *purple_request_group_get_page(PurpleRequestGroup *group);
@@ -110,7 +110,7 @@
  *
  * Returns: %TRUE if all fields in the group are valid, %FALSE otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_request_group_is_valid(PurpleRequestGroup *group);
diff --git a/libpurple/request/purplerequestgroup.c b/libpurple/request/purplerequestgroup.c
--- a/libpurple/request/purplerequestgroup.c
+++ b/libpurple/request/purplerequestgroup.c
@@ -187,7 +187,7 @@
 	 *
 	 * The title of the field group.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_TITLE] = g_param_spec_string(
 		"title", "title",
@@ -200,7 +200,7 @@
 	 *
 	 * Whether all fields in a group are valid.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_VALID] = g_param_spec_boolean(
 		"valid", "valid",
diff --git a/libpurple/request/purplerequestpage.h b/libpurple/request/purplerequestpage.h
--- a/libpurple/request/purplerequestpage.h
+++ b/libpurple/request/purplerequestpage.h
@@ -35,7 +35,7 @@
  *
  * Multiple fields request data.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 typedef struct _PurpleRequestPage PurpleRequestPage;
 
@@ -59,7 +59,7 @@
  *
  * Returns: (transfer full): The new request page.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestPage *purple_request_page_new(void);
@@ -71,7 +71,7 @@
  *
  * Adds a group of fields to the list.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_request_page_add_group(PurpleRequestPage *page, PurpleRequestGroup *group);
@@ -85,7 +85,7 @@
  *
  * Returns: TRUE if the field exists, or FALSE.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_request_page_exists(PurpleRequestPage *page, const char *id);
@@ -99,7 +99,7 @@
  *
  * Returns: TRUE if the specified field is required, or FALSE.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_request_page_is_field_required(PurpleRequestPage *page, const char *id);
@@ -112,7 +112,7 @@
  *
  * Returns: %TRUE if all fields in the page are valid, %FALSE otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_request_page_is_valid(PurpleRequestPage *page);
@@ -126,7 +126,7 @@
  *
  * Returns: (transfer none): The field, if found.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleRequestField *purple_request_page_get_field(PurpleRequestPage *page, const char *id);
@@ -140,7 +140,7 @@
  *
  * Returns: The string value, if found, or %NULL otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const char *purple_request_page_get_string(PurpleRequestPage *page, const char *id);
@@ -154,7 +154,7 @@
  *
  * Returns: The integer value, if found, or 0 otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 int purple_request_page_get_integer(PurpleRequestPage *page, const char *id);
@@ -168,7 +168,7 @@
  *
  * Returns: The boolean value, if found, or %FALSE otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_request_page_get_bool(PurpleRequestPage *page, const char *id);
@@ -182,7 +182,7 @@
  *
  * Returns: The choice value, if found, or NULL otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gpointer purple_request_page_get_choice(PurpleRequestPage *page, const char *id);
@@ -196,7 +196,7 @@
  *
  * Returns: (transfer none): The account value, if found, or %NULL otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleAccount *purple_request_page_get_account(PurpleRequestPage *page, const char *id);
diff --git a/libpurple/request/purplerequestpage.c b/libpurple/request/purplerequestpage.c
--- a/libpurple/request/purplerequestpage.c
+++ b/libpurple/request/purplerequestpage.c
@@ -179,7 +179,7 @@
 	 *
 	 * Whether all fields in a page are valid.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_VALID] = g_param_spec_boolean(
 		"valid", "valid",
